Skip to Content
Daylite API
Sections

List sections

GET
/v1/sections

Authorization

ApiKey
headerAuthorizationBearer <dl_…>

Personal API key created in Daylite under Settings → Developer.

Query Parameters

project_id?string
Formatuuid
cursor?string

next_cursor from the previous page.

Lengthlength <= 200
limit?integer

Page size, 1–200.

Range1 <= value <= 200
Default50

Response Body

A page of sections.

application/json
  1. response
results*array<>
next_cursor*|

Pass as cursor to fetch the next page. null on the last page.

Example Request
curl -X GET 'https://api.daylite.me/v1/sections'
Example Response
{  "results": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",      "revision": 0    }  ],  "next_cursor": "string"}